lucene-java-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Erick Erickson <erickerick...@gmail.com>
Subject Re: Pulling lucene 4.1
Date Fri, 04 Jan 2013 12:57:59 GMT
BTW, if all you're interested in is the compiled code, you can always get
the latest build from:
http://wiki.apache.org/solr/NightlyBuilds(4x-SNAPSHOT). That code will
be compiled from the link Shai pointed out
except for any commits since the build...

FWIW,
Erick


On Wed, Jan 2, 2013 at 2:01 PM, Shai Erera <serera@gmail.com> wrote:

> I was under the impression that you already migrated to 4.0 and are asking
> for 4.1.
>
> 4.x promises backwards compatibility as far as index format goes.
> Regarding API, you should consult the CHANGES as well as MIGRATE files in
> order to successfully migrate a 3x Lucene app to 4.0.
>
> Shai
>
>
> On Wed, Jan 2, 2013 at 8:06 PM, Lance Norskog <goksron@gmail.com> wrote:
>
> > 4.x does not promise backwards compatibility with 3.x. Have you made your
> > own extensions?
> >
> > On 01/02/2013 04:38 AM, Shai Erera wrote:
> >
> >> There's no specific branch for 4.1 yet. All development still happens on
> >> the 4x branch (
> >> http://svn.apache.org/repos/**asf/lucene/dev/branches/**branch_4x/<
> http://svn.apache.org/repos/asf/lucene/dev/branches/branch_4x/>
> >> ).
> >>
> >> Note that Lucene maintains two active branches for development: 'trunk'
> >> (currently to be 5.0) and '4x' off of which all Lucene 4.x releases are
> >> created.
> >>
> >> Shai
> >>
> >>
> >> On Wed, Jan 2, 2013 at 11:57 AM, Ramprakash Ramamoorthy <
> >> youngestachiever@gmail.com> wrote:
> >>
> >>  Dear all,
> >>>
> >>>             Would be glad to know on which branch of lucene is the
> >>> development happening on version 4.1. Would be glad if you can share
> the
> >>> repo URL, we are testing out certain features of 4.1 including
> >>> CompressingStoredFieldsFormat.
> >>>
> >>>             Currently we are pulling from trunk, which I guess is 5.x
> >>> branch. Very particular about 4.1 because, we need backward
> compatibility
> >>> with 3.x. Thanks in advance.
> >>>
> >>> --
> >>> With Thanks and Regards,
> >>> Ramprakash Ramamoorthy,
> >>> India.
> >>>
> >>>
> >
> > ------------------------------**------------------------------**---------
> > To unsubscribe, e-mail: java-user-unsubscribe@lucene.**apache.org<
> java-user-unsubscribe@lucene.apache.org>
> > For additional commands, e-mail: java-user-help@lucene.apache.**org<
> java-user-help@lucene.apache.org>
> >
> >
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message